> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful-staging.ferndocs.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful-staging.ferndocs.com/developers/docs/_mcp/server.

# Create a new template

POST https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/templates
Content-Type: application/json

Reference: https://contentful-staging.ferndocs.com/developers/docs/references/experiences-management-api/templates/create-template

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)

### Query parameters

- `access_token` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `description` (string, required)
- `viewports` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaViewportsItems, required)
- `contentProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems, required)
- `designProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItems, required)
- `dimensionKeyMap` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDimensionKeyMap, required)
- `componentTree` (list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, optional)
- `slots` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItems, optional)
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadata, optional)
- `dataAssemblies` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDataAssembliesItems, optional)

## Response

### 201

201

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `name` (string, required)
- `description` (string, required)
- `viewports` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaViewportsItems, required)
- `contentProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems, required)
- `designProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItems, required)
- `dimensionKeyMap` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDimensionKeyMap, required)
- `componentTree` (list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, optional)
- `slots` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItems, optional)
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadata, optional)
- `dataAssemblies` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDataAssembliesItems, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaViewportsItems

- `id` (string, required)
- `query` (string, required)
- `displayName` (string, required)
- `previewSize` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDimensionKeyMap

- `designProperties` (map from string to map from string to string, required)

### delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItems

- `id` (string, required)
- `name` (string, required)
- `required` (boolean, required)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsValidationsItems, required)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsAllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataConceptsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDataAssembliesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDataAssembliesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaViewportsItems

- `id` (string, required)
- `query` (string, required)
- `displayName` (string, required)
- `previewSize` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDimensionKeyMap

- `designProperties` (map from string to map from string to string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItems

- `id` (string, required)
- `name` (string, required)
- `required` (boolean, required)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsValidationsItems, required)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsAllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataConceptsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDataAssembliesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDataAssembliesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems0

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems1

- `name` (string, required)
- `required` (boolean, required)
- `type` ("RichText", required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems2

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Array", required)
- `items` (any, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems3

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Record", required)
- `fields` (map from string to post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems4

- `name` (string, required)
- `required` (boolean, required)
- `type` ("TypeRef", required)
- `ref` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItemsOneOf4Ref, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems5

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItems6

- `name` (string, required)
- `required` (boolean, required)
- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItems0

- `id` (string, required)
- `name` (string, required)
- `type` ("String", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0FallbackValue, optional)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItems1

- `id` (string, required)
- `name` (string, required)
- `type` ("Boolean", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf1FallbackValue, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItems2

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf2FallbackValue, optional)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf2AllowedResourcesItems, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema20

- `id` (string, required)
- `nodeType` ("Component", required)
- `componentType` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType, required)
- `contentProperties` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties, required)
- `designProperties` (map from string to DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties, required)
- `slots` (map from string to list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema21

- `id` (string, required)
- `nodeType` ("Fragment", required)
- `fragment` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema22

- `id` (string, required)
- `nodeType` ("Slot", required)
- `slotId` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsValidationsItems

- `size` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsValidationsItemsSize, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsAllowedResourcesItems

- `type` ("Contentful:ComponentType", required)
- `source` (string, required)
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDataAssembliesItemsSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:DataAssembly", required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems0

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems1

- `name` (string, required)
- `required` (boolean, required)
- `type` ("RichText", required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems2

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Array", required)
- `items` (any, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems3

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Record", required)
- `fields` (map from string to post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems4

- `name` (string, required)
- `required` (boolean, required)
- `type` ("TypeRef", required)
- `ref` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItemsOneOf4Ref, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems5

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItems6

- `name` (string, required)
- `required` (boolean, required)
- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItems0

- `id` (string, required)
- `name` (string, required)
- `type` ("String", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0FallbackValue, optional)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItems1

- `id` (string, required)
- `name` (string, required)
- `type` ("Boolean", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf1FallbackValue, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItems2

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf2FallbackValue, optional)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf2AllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsValidationsItems

- `size` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsValidationsItemsSize, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsAllowedResourcesItems

- `type` ("Contentful:ComponentType", required)
- `source` (string, required)
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDataAssembliesItemsSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:DataAssembly", required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters

### post__spaces__spaceId__environments__environmentId__templates_12_body___schema1

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItemsOneOf4Ref

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItemsOneOf4RefSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItems

- `regexp` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItemsRegexp, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf1FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (boolean, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf2FallbackValue

- `type` ("DesignToken", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf2AllowedResourcesItems

- `type` ("DesignToken", required)
- `value` (string, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaSlotsItemsValidationsItemsSize

- `min` (double, optional)
- `max` (double, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataTagsItemsSys

- `type` ("Link", required)
- `linkType` ("Tag", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaMetadataConceptsItemsSys

- `type` ("Link", required)
- `linkType` ("TaxonomyConcept", required)
- `id` (string, required)

### post__spaces__spaceId__environments__environmentId__templates_12_201___schema1

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItemsOneOf4Ref

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItemsOneOf4RefSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItems

- `regexp` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItemsRegexp, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf1FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (boolean, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf2FallbackValue

- `type` ("DesignToken", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf2AllowedResourcesItems

- `type` ("DesignToken", required)
- `value` (string, required)
- `name` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaSlotsItemsValidationsItemsSize

- `min` (double, optional)
- `max` (double, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataTagsItemsSys

- `type` ("Link", required)
- `linkType` ("Tag", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaMetadataConceptsItemsSys

- `type` ("Link", required)
- `linkType` ("TaxonomyConcept", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` ("string", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` ("number", required)
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` ("date", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` ("array.string", required)
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` ("array.number", required)
- `value` (list of double, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema10

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema11

- `type` ("RichText", required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema12

- `type` ("Array", required)
- `items` (any, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema13

- `type` ("Record", required)
- `fields` (map from string to post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema14

- `type` ("TypeRef", required)
- `ref` (PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema1OneOf4Ref, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema15

- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema16

- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of post__spaces__spaceId__environments__environmentId__templates_12_body___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaContentPropertiesItemsOneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostRequestBodyContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItemsRegexp

- `pattern` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:ComponentType", required)
- `urn` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:Fragment", required)
- `urn` (string, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema10

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema11

- `type` ("RichText", required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema12

- `type` ("Array", required)
- `items` (any, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema13

- `type` ("Record", required)
- `fields` (map from string to post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema14

- `type` ("TypeRef", required)
- `ref` (PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema1OneOf4Ref, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema15

- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema16

- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of post__spaces__spaceId__environments__environmentId__templates_12_201___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaContentPropertiesItemsOneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesPostResponsesContentApplicationJsonSchemaDesignPropertiesItemsOneOf0ValidationsItemsRegexp

- `pattern` (string, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema1OneOf4Ref

- `sys` (PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema1OneOf4RefSys, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema1OneOf4Ref

- `sys` (PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema1OneOf4RefSys, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12BodySchema1OneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

### PostSpacesSpaceIdEnvironmentsEnvironmentIdTemplates12201Schema1OneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

## Examples

**Request**

```json
{
  "name": "string",
  "description": "string",
  "viewports": [
    {
      "id": "string",
      "query": "string",
      "displayName": "string",
      "previewSize": "string"
    }
  ],
  "contentProperties": [
    {
      "name": "string",
      "required": true,
      "type": "String",
      "id": "string"
    }
  ],
  "designProperties": [
    {
      "id": "string",
      "name": "string",
      "type": "string"
    }
  ],
  "dimensionKeyMap": {
    "designProperties": {}
  }
}
```

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "string",
    "space": {
      "sys": {
        "type": "string",
        "linkType": "string",
        "id": "string"
      }
    },
    "environment": {
      "sys": {
        "type": "string",
        "linkType": "string",
        "id": "string"
      }
    },
    "version": 1.1,
    "fieldStatus": {},
    "publishedAt": "string",
    "publishedVersion": 1.1,
    "publishedCounter": 1.1,
    "firstPublishedAt": "string",
    "publishedBy": {
      "sys": {
        "type": "string",
        "linkType": "User",
        "id": "string"
      }
    },
    "variant": "string",
    "variantType": "string",
    "variantDimension": "string",
    "createdAt": "string",
    "createdBy": {
      "sys": {
        "type": "string",
        "linkType": "string",
        "id": "string"
      }
    },
    "updatedAt": "string",
    "updatedBy": {
      "sys": {
        "type": "string",
        "linkType": "string",
        "id": "string"
      }
    }
  },
  "name": "string",
  "description": "string",
  "viewports": [
    {
      "id": "string",
      "query": "string",
      "displayName": "string",
      "previewSize": "string"
    }
  ],
  "contentProperties": [
    {
      "name": "string",
      "required": true,
      "type": "String",
      "id": "string"
    }
  ],
  "designProperties": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "type": "string",
      "fallbackValue": {
        "type": "string",
        "value": "string"
      },
      "validations": [
        {
          "regexp": {
            "pattern": "string"
          }
        }
      ]
    }
  ],
  "dimensionKeyMap": {
    "designProperties": {}
  },
  "componentTree": [
    {
      "id": "string",
      "nodeType": "string",
      "componentType": {
        "sys": {
          "type": "string",
          "linkType": "string",
          "urn": "string"
        }
      },
      "contentProperties": {},
      "designProperties": {},
      "slots": {},
      "name": "string"
    }
  ],
  "slots": [
    {
      "id": "string",
      "name": "string",
      "required": true,
      "validations": [
        {
          "size": {
            "min": 1.1,
            "max": 1.1
          }
        }
      ],
      "allowedResources": [
        {
          "type": "string",
          "source": "string",
          "allowedTypes": [
            "string"
          ]
        }
      ]
    }
  ],
  "metadata": {
    "tags": [
      {
        "sys": {
          "type": "string",
          "linkType": "string",
          "id": "string"
        }
      }
    ],
    "concepts": [
      {
        "sys": {
          "type": "string",
          "linkType": "string",
          "id": "string"
        }
      }
    ]
  },
  "dataAssemblies": [
    {
      "sys": {
        "type": "string",
        "linkType": "string",
        "urn": "string"
      }
    }
  ]
}
```